package cn.ibizlab.humanresource.core.humanresource.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.humanresource.core.humanresource.domain.HREducation;
import cn.ibizlab.humanresource.core.humanresource.filter.HREducationSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[HREducation] 服务对象接口
 */
public interface IHREducationService extends IService<HREducation>{

    boolean create(HREducation et) ;
    void createBatch(List<HREducation> list) ;
    boolean update(HREducation et) ;
    void updateBatch(List<HREducation> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    HREducation get(String key) ;
    HREducation getDraft(HREducation et) ;
    boolean checkKey(HREducation et) ;
    boolean save(HREducation et) ;
    void saveBatch(List<HREducation> list) ;
    Page<HREducation> searchDefault(HREducationSearchContext context) ;
    List<HREducation> selectByHremployeeid(String employeeid) ;
    void removeByHremployeeid(String employeeid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<HREducation> getHreducationByIds(List<String> ids) ;
    List<HREducation> getHreducationByEntities(List<HREducation> entities) ;
}


